be.fgov.ehealth.hubservices.core.v2

## Class TherapeuticExclusionType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TherapeuticExclusionWithOperationContext

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:54:32+02:00",
                 comments="JAXB RI v2.3.7")
      public class TherapeuticExclusionType
      extends Object
      implements Serializable

  Java class for TherapeuticExclusionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TherapeuticExclusionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapeuticExclusionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HcpartyType` | `getHcparty()` Gets the value of the hcparty property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `void` | `setHcparty(HcpartyType value)` Sets the value of the hcparty property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapeuticExclusionType

          public TherapeuticExclusionType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getHcparty

          public HcpartyType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `HcpartyType`

    - #### setHcparty

          public void setHcparty(HcpartyType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `HcpartyType`

Connector Packaging TRUSSMAKER 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.